"""GWAPI setup package"""
import setuptools

with open("requirements.txt", "r", encoding="utf-8") as reqs_txt:
    requirements = [line for line in reqs_txt]

setuptools.setup(
    name="gwapi",
    version="0.1.0",
    author="Gatewatcher",
    author_email="support@gatewatcher.com",
    description="A Python library for the Gcenter API.",
    classifiers=[
        "Programming Language :: Python :: 3",
        "Operating System :: OS Independent",
    ],
    install_requires=requirements,
    python_requires=">=3.5",
    packages=[
        'gwapi'
    ],
    package_dir={
        'gwapi': 'gwapi'
    }
)
